Std UserEditMode/it: Difference between revisions

From FreeCAD Documentation
(Created page with "Il comando '''Impostazioni Modalità modifica''' definisce la modalità di modifica da utilizzare quando si fa doppio clic su un oggetto nella Vista albero.")
(Created page with "== Utilizzo ==")
Line 24: Line 24:
Il comando '''Impostazioni Modalità modifica''' definisce la modalità di modifica da utilizzare quando si fa doppio clic su un oggetto nella [[Tree_view/it|Vista albero]].
Il comando '''Impostazioni Modalità modifica''' definisce la modalità di modifica da utilizzare quando si fa doppio clic su un oggetto nella [[Tree_view/it|Vista albero]].


== Usage ==
<span id="Usage"></span>
== Utilizzo ==


# In the menu go to {{MenuCommand|Edit → Edit mode}} and select an edit mode.<!--Please keep the numbered list for consistency with other Std pages-->
# In the menu go to {{MenuCommand|Edit → Edit mode}} and select an edit mode.<!--Please keep the numbered list for consistency with other Std pages-->

Revision as of 21:20, 23 March 2023

Other languages:

Std UserEditMode

Menu location
Modifica → Impostazioni modalità modifica → ...
Workbenches
All
Default shortcut
None
Introduced in version
0.20
See also
Modalità modifica

Descrizione

Il comando Impostazioni Modalità modifica definisce la modalità di modifica da utilizzare quando si fa doppio clic su un oggetto nella Vista albero.

Utilizzo

  1. In the menu go to Edit → Edit mode and select an edit mode.

Available edit modes

Default

The object will be edited using its default mode. This edit mode is defined internally to be the most appropriate for the object type. For example, it will be shape properties edition for Part primitives and PartDesign features, placement edition for Part booleans, etc.

Transform

The object will have its placement editable with the Std TransformManip command.

Cutting

This edit mode is implemented as available but currently does not seem to be used by any object.

Color

The object will have the color of its individual faces editable with the Part FaceColors command.

Notes

  • Not all objects support all edit modes. If the selected mode isn't supported by the object, its default edit mode will be used instead.

Preferences

  • The last edit mode is stored: Tools → Edit parameters... → BaseApp → Preferences → General → UserEditMode. It is an integer value. Possible values are 0 (Default), 1 (Transform), 2 (Cutting) or 3 (Color). The default is 0.

Scripting

See also: FreeCAD Scripting Basics.

To list the available edit modes:

import FreeCADGui
FreeCADGui.listUserEditModes()

To get the active edit mode:

import FreeCADGui
FreeCADGui.getUserEditMode()

To set the active edit mode:

import FreeCADGui
FreeCADGui.setUserEditMode(MODENAME) # Where MODENAME is a string available in the list of edit modes